rpc_queue_upcall
Prev | SUN RPC subsystem | Next

## Name

rpc_queue_upcall —

## Synopsis

`int rpc_queue_upcall (` | struct inode * | inode,
| struct rpc_pipe_msg * | msg`)`;

## Arguments

`inode`

  inode of upcall pipe on which to queue given message

`msg`

  message to queue

## Description

Call with an `inode` created by `rpc_mkpipe` to queue an upcall. A userspace process may then later read the upcall by performing a read on an open file for this inode. It is up to the caller to initialize the fields of `msg` (other than `msg`->list) appropriately.

Prev | Up | Next
rpc_free_iostats | Home | rpc_mkpipe